Subject: [sacm] Endpoint ID Design Team Notes: 2015-08-14

From: "Haynes, Dan" <[email-masked]>
Date: Fri, 14 Aug 2015 16:40:35 +0000

Hi Everyone,

Here are the notes from the Endpoint ID Design Team Meeting (EID-DT).

Attendees

*         Ron Colvin

*         Joe Wolfkiel

*         Ira McDonald

*         Henk Birkholz

*         Dave Waltermire

*         Danny Haynes

Note Well

Agenda

*         Review changes to the structure of the Information Model draft

*         Discuss the short term path forward approach

*         Next steps

Materials

*         Slides from meeting (see attached)

*         Mailing list thread discussing updates to the Information Model table of contents (http://www.ietf.org/mail-archive/web/sacm/current/msg03147.html)

*         Updated Information Model table of contents (see attached)

*         RFC 3444: On the Difference between Information Models and Data Models (http://www.rfc-editor.org/rfc/rfc3444.txt)

*         Mailing list thread discussing the short term path forward approach (http://www.ietf.org/mail-archive/web/sacm/current/msg03166.html)

*         Mailing list thread discussing time synchronization in SACM (http://www.ietf.org/mail-archive/web/sacm/current/msg03174.html)

Notes

*         Reviewed the changes to the Information Model Draft table of contents.  Feedback was provided regarding Section 3.2 and is captured in comments in the attached document.  For convenience, the new comments were highlighted in yellow.  There was also feedback that overall the proposed changes to the Information Model table of contents looked good.

*         Briefly discussed correlating attributes (i.e. identifying attributes).  It was reiterated that there was a need for hardware, firmware, and BIOS identifiers.

*         Reviewed the concepts of information model vs. data model as well as discussed transport and transport bindings.  It was noted transport was used very loosely in SACM.  As a group, we should make sure we have a shared understanding of what each of these things are.

*         An overview of the short term path forward approach was given.  In short, this approach tables the informational drafts (Architecture, Requirements, Information Model) in favor of working on solution contributions.  The primary driver for this approach is to get solutions that vendors and customers care about into SACM, peak their interest, and get them participating and contributing to the effort.  It was acknowledged that this is a little backwards, but, the consensus of the group was that it was a reasonable approach as it would potentially get more organizations involved and make faster progress.  Furthermore, by looking at various solutions, it could serve as a way to identify gaps in our documents and unify several data models.  As a side note, there was a concern raised around the Information Model, Architecture, and Requirements documents using MUST, SHALL, MAY, etc. and just being informational rather than being standards track.

*         There was a discussion around the need for time synchronization in SACM.  See the corresponding mailing list thread for more information.

*         Next steps were discussed.  Regarding the proposed changes to the information model table of contents, we should propose the changes to the broader group, get feedback, and if there is consensus make the changes and provide some text explaining the new sections.  The group should provide feedback on the short term path approach over the mailing list.

Action Items

*         Update Information Model table of contents based on feedback.  Send to mailing list and ask for consensus on updating the Information Model draft with the proposed changes.  (Danny Haynes)

*         If positive consensus is reached, make the changes and include a sentence or two to describe what information goes in each new section.  Update on GitHub.  (Danny Haynes)

*         Explain triples (subject, predicate, object) and provide an example. Also, explain relationships and metadata.  Prepare for the next EID-DT meeting (Henk Birkholz)

*         Describe the need for the trustworthy time synchronization in SACM on the mailing list.  Done.  See corresponding mailing list thread. (Ira McDonald)

*         Add trustworthy time synchronization issue to GitHub tracker.  Done (https://github.com/sacmwg/draft-ietf-sacm-information-model/issues/25). (Danny Haynes)

Please let me know if I missed anything, got anything wrong, or if you have any questions.

Adam will post the recordings when he returns.

Have a great weekend.

Thanks,

Danny